GET List Hierarchy Users
URL: /hierarchy/user
Accessible by: EMS, Utility accounts only.
Restrictions: Requires the security hierarchy privilege on the My Sets set.
Returns a list hierarchy users and privileges.
See Getting Started with Management Set Hierarchy for additional information.
Request Properties
| Property | Version | Type | Required | Description |
|---|---|---|---|---|
| operation | 1 | String | Yes | The type of request. Always "list". |
| setPath | 1 | String | Yes | The management set path. |
| includePrivileges | 1 | Boolean | No | Whether to include the user privileges. |
| recursive | 1 | Boolean | No | Whether to also return the children of the children, recursively. Default: false |
Response Properties
| Property | Version | Type | Description |
|---|---|---|---|
| users | 1 | HierarchyUser [] | The list of users in the company. |
| privileges | 1 | HierarchyPrivilege [] | List of hierarchy privileges if requested. |
Example Request:
Request Body
NOTE: Request body is not encoded for example purposes.
HEADERS:
Content-Type: application/json;charset=UTF-8
Authorization: Bearer Rc7JE8P7XUgSCPogLOx2VLMfITqQQrjg
REQUEST:
GET https://api.ecobee.com/1/hierarchy/user?format=json&body={"operation":"list","setPath":"/","recursive":true,"includePrivileges":true}
Sample API Call
Show code sample in:
curl -s -H 'Content-Type: text/json' -H 'Authorization: Bearer ACCESS_TOKEN' 'https://api.ecobee.com/1/hierarchy/user?format=json&body=\{"operation":"list","setPath":"/","recursive":true,"includePrivileges":true\}'
Example Response:
{
"users": [
{
"userName": "api@ecobee.com",
"firstName": "",
"lastName": "",
"phone": "",
"lastLogin": "2008-01-02 00:00:00",
"active": true,
"emailAlerts": true
},
{
"userName": "api2@ecobee.com",
"firstName": "",
"lastName": "",
"phone": "",
"lastLogin": "2008-01-02 00:00:00",
"active": true,
"emailAlerts": true
}
],
"privileges": [
{
"setPath": "/",
"setName": "My Sets",
"userName": "api@ecobee.com",
"allowAll": true,
"allowNone": false,
"allowView": false,
"allowProgram": false,
"allowVacation": false,
"allowSettings": false,
"allowDetails": false,
"allowReport": false,
"allowSecurity": false,
"allowHierarchy": false,
"allowAlerts": false,
"allowManageAccount": false
},
{
"setPath": "/",
"setName": "My Sets",
"userName": "api2@ecobee.com",
"allowAll": false,
"allowNone": true,
"allowView": false,
"allowProgram": false,
"allowVacation": false,
"allowSettings": false,
"allowDetails": false,
"allowReport": false,
"allowSecurity": false,
"allowHierarchy": false,
"allowAlerts": false,
"allowManageAccount": false
},
{
"setPath": "/MainNode/SubNode1",
"setName": "SubNode1",
"userName": "api2@ecobee.com",
"allowAll": false,
"allowNone": false,
"allowView": true,
"allowProgram": false,
"allowVacation": false,
"allowSettings": false,
"allowDetails": false,
"allowReport": false,
"allowSecurity": false,
"allowHierarchy": false,
"allowAlerts": false,
"allowManageAccount": false
},
{
"setPath": "/OtherNode",
"setName": "OtherNode",
"userName": "api2@ecobee.com",
"allowAll": false,
"allowNone": false,
"allowView": false,
"allowProgram": false,
"allowVacation": false,
"allowSettings": false,
"allowDetails": false,
"allowReport": false,
"allowSecurity": false,
"allowHierarchy": true,
"allowAlerts": false,
"allowManageAccount": false
}
],
"status": {
"code": 0,
"message": ""
}
}